Over a million developers have joined DZone.
{{announcement.body}}
{{announcement.title}}

Infinispan Versions Mapped to Minimum Java Versions

DZone's Guide to

Infinispan Versions Mapped to Minimum Java Versions

Need to know what the minimum versions of Java are for various Infinispan releases? Check out this post!

· Database Zone
Free Resource

Running out of memory? Learn how Redis Enterprise enables large dataset analysis with the highest throughput and lowest latency while reducing costs over 75%! 

I've been playing around a little bit with Infinispan recently and one of the characteristics of this "distributed in-memory key/value data store" that I have noticed is its relatively aggressive adoption and even requirement of later major versions of Java. The following maps Infinispan releases to minimum required Java SE versions per referenced Infinispan documentation.

Infinispan Versions and Their Minimum Required Java Version
Infinispan Version Download Version Mininum Java References / Notes
Infinispan 8.2.x 8.2.4 ("Chakra") Java SE 8 Frequently Asked Questions
Infinispan ISPN-6313
Infinispan 8.1.x 8.1.3 ("Mahou") Java SE 8 Frequently Asked Questions
Infinispan ISPN-6313
Infinispan 8.0.x 8.0.2 ("Infinite Darkness") Java SE 8? Frequently Asked Questions
Infinispan ISPN-6313
Infinispan Release Notes
Infinispan Blog
Infinispan 7.2.x 7.2.5 ("Insanely Bad Elf") Java SE 7 Frequently Asked Questions
Infinispan ISPN-4335
Infinispan 7.1.x 7.1.1 ("Hoptimus Prime") Java SE 7 Frequently Asked Questions
Infinispan ISPN-4335
Infinispan 7.0.x 7.0.3 ("Guinness") Java SE 7 Frequently Asked Questions
Infinispan ISPN-4335
Infinispan 6.0.x 6.0.2 ("Infinium") Java SE 6 Frequently Asked Questions
Infinispan 5.3.x 5.3.0 ("Tactical Nuclear Penguin") Java SE 6

Frequently Asked Questions


It's easy to remember the minimum version of Java required for Infinispan 6.x, Infinispan 7.x, and Infinispan 8.x as each of them requires at least the Java with major version of the same number (Infinispan 6.x requires Java SE 6, Infinispan 7.x requires Java SE 7, and Infinispan 8.x requires Java SE 8).

Running out of memory? Never run out of memory with Redis Enterprise databaseStart your free trial today.

Topics:
java ,data ,maps ,documentation ,version ,versions ,infinispan

Published at DZone with permission of Dustin Marx, DZone MVB. See the original article here.

Opinions expressed by DZone contributors are their own.

{{ parent.title || parent.header.title}}

{{ parent.tldr }}

{{ parent.urlSource.name }}